bdi4jade.belief

## Class TransientPredicate<K>

- java.lang.Object
- - bdi4jade.core.MetadataElementImpl
  - - bdi4jade.belief.AbstractBelief<K,V>
    - - bdi4jade.belief.TransientBelief<K,java.lang.Boolean>
      - - bdi4jade.belief.TransientPredicate<K>

- All Implemented Interfaces:
    Belief<K,java.lang.Boolean>, Predicate<K>, MetadataElement, jade.content.Concept, jade.content.ContentElement, jade.content.Term, java.io.Serializable, java.lang.Cloneable

      public class TransientPredicate<K>
      extends TransientBelief<K,java.lang.Boolean>
      implements Predicate<K>

  This class extends the `TransientBelief` class and represents a transient propositional belief, which is not persisted in a permanent memory.
  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class bdi4jade.belief.TransientBelief

      `value`

    - ### Fields inherited from class bdi4jade.core.MetadataElementImpl

      `metadata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransientPredicate()` The default constructor.
    `TransientPredicate(K name)` Creates a new transient propositional belief, whose value is true.
    `TransientPredicate(K name, java.lang.Boolean value)` Initializes a transient propositional belief with its name and a initial value.

  - ### Method Summary

    - ### Methods inherited from class bdi4jade.belief.TransientBelief

      `getValue, updateValue`

    - ### Methods inherited from class bdi4jade.belief.AbstractBelief

      `addBeliefBase, clone, equals, getBeliefBases, getName, hashCode, notifyBeliefBases, removeBeliefBase, setName, setValue, toString`

    - ### Methods inherited from class bdi4jade.core.MetadataElementImpl

      `getMetadata, getMetadata, hasMetadata, putMetadata, removeMetadata`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface bdi4jade.belief.Belief

      `addBeliefBase, clone, getBeliefBases, getName, getValue, removeBeliefBase, setValue`

    - ### Methods inherited from interface bdi4jade.core.MetadataElement

      `getMetadata, getMetadata, hasMetadata, putMetadata, removeMetadata`

- - ### Constructor Detail

    - #### TransientPredicate

          public TransientPredicate()

      The default constructor. It should be only used if persistence frameworks are used.

    - #### TransientPredicate

          public TransientPredicate(K name)

      Creates a new transient propositional belief, whose value is true.
      Parameters:
        `name` - the belief name.

    - #### TransientPredicate

          public TransientPredicate(K name,
                                    java.lang.Boolean value)

      Initializes a transient propositional belief with its name and a initial value.
      Parameters:
        `name` - the belief name.
        `value` - the initial belief value.